# IndustryData Struct Reference

Helper struct holding the available industries for current situation. More...

## Data Fields

uint16 | count
| How many industries are loaded.
IndustryType | index [NUM_INDUSTRYTYPES+1]
| Type of industry, in the order it was loaded.
StringID | text [NUM_INDUSTRYTYPES+1]
| Text coming from CBM_IND_FUND_MORE_TEXT (if ever).
bool | enabled [NUM_INDUSTRYTYPES+1]
| availability state, coming from CBID_INDUSTRY_AVAILABLE (if ever)

## Detailed Description

Helper struct holding the available industries for current situation.

Definition at line 53 of file industry_gui.cpp.

The documentation for this struct was generated from the following file:

- src/industry_gui.cpp